Bug 1259853 - [packaging] gnome-session-xsession should depend on xorg-x11-server-Xorg
[packaging] gnome-session-xsession should depend on xorg-x11-server-Xorg
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
28
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
https://src.fedoraproject.org/fork/ge...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-03 12:05 EDT by Christian Stadelmann
Modified: 2018-05-21 16:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Stadelmann 2015-09-03 12:05:17 EDT
Description of problem:
On Fedora 23 Alpha you can uninstall xorg-x11-server-Xorg keeping gnome-session-wayland-session. This is fine in my opinion since Gnome+Wayland mostly works.
If you do so, you will still see the gnome-session (the Xorg version) in GDM's session chooser. This is bad since it will not work any more after uninstalling xorg-x11-server-Xorg.

Version-Release number of selected component (if applicable):
gnome-session-xsession-3.16.0-3.fc23.x86_64
Comment 1 Ray Strode [halfline] 2017-08-29 07:05:40 EDT
makes sense to me.  we can't, of course, have gnome-session itself require Xorg, but having the display manager xsession file do so seems like a good idea.
Comment 2 Christian Stadelmann 2017-10-27 14:52:28 EDT
Bug #1252630 has a patch for it and this one.
Comment 3 Fedora End Of Life 2018-05-03 04:05:15 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Christian Stadelmann 2018-05-21 16:44:57 EDT
Fix: https://src.fedoraproject.org/rpms/gnome-session/pull-request/2

Note You need to log in before you can comment on or make changes to this bug.